--
-- Created by IntelliJ IDEA.
-- User: admin
-- Date: 5/07/2014
-- Time: 10:19 PM
-- To change this template use File | Settings | File Templates.
--

local Ace = LibStub("AceAddon-3.0")
local Comergy2 = Ace:GetAddon("Comergy2")
if Comergy2.class ~= "ROGUE" and Comergy2.class ~= "DRUID" then
    return
end
local Comergy2_Combo = Comergy2:NewModule("Comergy2_Combo", Comergy2.prototype_secondary)

function Comergy2_Combo:OnInitialize()
    self.opts.name = "Combo"
    self.POWER_TYPE_TEXT = "COMBO"
    self.POWER_TYPE = 4

    self:InitializeModule()

    self:ColorCells()

    local options = self:GetOptions()
    options.handler = self
    options.name = 'Combo'

    Comergy2.options.args.combo = options
end

function Comergy2_Combo:OnUpdate()
    self:UpdatePower()
    if true then
        self:UpdateAnticipation()
    end
    self:UpdateFlash()
end

function Comergy2_Combo:ColorCells()
    for i = 1, self.opts.bars do
        self.cells[i].bg:SetTexture(0, 1, 1)
        self.cells[i].bg:SetAlpha(0)
    end
end

function Comergy2_Combo:UpdateAnticipation()
    --noinspection UnusedDef
    local name, rank, icon, antic = UnitAura("player", "Anticipation")
    antic = antic or 0

    if antic ~= self.antic then
        self.antic = antic
        for i = 1, self.opts.bars do
            if antic >= i then
                self.cells[i].bg:SetAlpha(1)
            else
                self.cells[i].bg:SetAlpha(0)
            end
        end
    end
end